tamper = require "tamper"

class TamperMW

    configure: ({app: app, callback: callback}) ->
        # jQuery > 1.4 is fussy about blank JSON response bodies
        app.use tamper (req, res) =>
            @tamperRequest req, res
        callback()

    tamperRequest: (req, res) ->
        return unless res.getHeader('Content-Type') is 'application/json'
        (body) ->
            return "null" unless body?.length > 0
            body

module.exports = TamperMW
